# config.yml

## **License key**

```yaml
license-key: TEXT
```

The license key is used to activate the plugin. You can get your key from my Discord server found at <https://discord.aeonxd.xyz>. More info in [Activation | Read Me!](/plugins/activation-or-read-me.md)

## Settings

### Leaderboard plugin

{% code fullWidth="false" %}

```yaml
leaderboard_plugin: PLUGIN # AjLeaderboards / Topper
```

{% endcode %}

Supported plugins to hook into:

* AjLeaderboards
* Topper

## Debug Level

```yaml
debug_level: LEVEL # ALL / CONFIG / OFF
```

Debug levels:

* ALL: Logs every kind of debug
* CONFIG: Logs useful debugging information if there's a problem in the configuration files
* OFF: Turns off debug logging

## Update

```yaml
check_updates: BOOLEAN # true / false
```

Whether to check for updates. Default: true

```yaml
check_interval: NUMBER # hours
```

How often to check for updates, in hours. Default: 24

## Cache

<pre class="language-yaml"><code class="lang-yaml"><strong>load_on_enable: BOOLEAN # true / false
</strong></code></pre>

Whether to load entries on server startup, runs asynchronously.

## Hooks

<pre class="language-yaml"><code class="lang-yaml"><strong>skinsrestorer:
</strong><strong>  enabled: BOOLEAN # true / false
</strong></code></pre>

Whether to use [SkinsRestorer](https://modrinth.com/plugin/skinsrestorer/version/15.7.8) for loading skull textures.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aeonxd.xyz/plugins/leaderboardmenus/configuration/config.yml.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
